package com.sun.org.apache.xpath.internal.functions;

import javax.xml.transform.TransformerException;
import com.sun.org.apache.xml.internal.dtm.DTM;
import com.sun.org.apache.xpath.internal.objects.XString;
import com.sun.org.apache.xpath.internal.objects.XObject;
import com.sun.org.apache.xpath.internal.XPathContext;

public class FuncQname extends FunctionDef1Arg
{
    static final long serialVersionUID = -1532307875532617380L;
    
    public FuncQname() {
    }
    
    @Override
    public XObject execute(XPathContext xctxt) throws TransformerException {
        int context = this.getArg0AsNode(xctxt);
        if (-1 != context) {
            DTM dtm = xctxt.getDTM(context);
            String qname = dtm.getNodeNameX(context);
            XObject val = (null == qname) ? XString.EMPTYSTRING : new XString(qname);
            return val;
        }
        XObject val = XString.EMPTYSTRING;
        return val;
    }
}
